package net.javainthebox.heapindicator;

import org.openide.modules.ModuleInstall;

public class Installer extends ModuleInstall {

    @Override
    public void restored() {
        HeapViewProvider.initialize("Eden", 30);
        HeapViewProvider.initialize("Survivor", 31);
        HeapViewProvider.initialize("Tenured", 32);
    }

    @Override
    public void uninstalled() {
        HeapViewProvider.uninitialize("Eden");
        HeapViewProvider.uninitialize("Survivor");
        HeapViewProvider.uninitialize("Eden");
    }
}
